<?php
include "ver_sessao.php";
include "conecta.php";

	if( $_POST[c] )
		$_GET[c] = $_POST[c];
	if( $_POST[nome] )
		$_GET[nome] = $_POST[nome];
	if( $_POST[t] )
		$_GET[t] = $_POST[t];

		
	switch( $_GET[c] ) {
	case 'cliente':		$TABELA = 'entidade';	$TITULO = 'Cliente'; break;
	}

    $NOME = 'Cadastro de '.formata_nome($TITULO);
	    
	$TAB = substr($TABELA,0,4);


	if( $_GET[acao] == 'cadastra_op' ) {

		$_GET[nome]=str_replace('"', "", $_GET[nome]);
		
		$campos = array($TAB.'_tx_nome',$TAB.'_tx_status',$TAB.'_tx_tipo',$TAB.'_tx_pessoa');
		$valores = array(strtoupper($_GET[nome]),ativo,'Cliente','Pessoa Física');
	
		if( $_GET[nome] == '' ) {

			unset($valores);

		} else {
			
			inserir($TABELA,$campos,$valores,1);
			
			$id_enti = ultimo_reg($TABELA);
			
			//$campos2 = array(clie_tx_status,clie_tx_nome,clie_nb_entidade,clie_tx_tipo);
			//$valores2 = array('ativo',strtoupper($_GET[nome]),$id_enti,'Pessoa Física');
			//inserir('cliente',$campos2,$valores2,1);
			
			
			if( !bd_erro() ) {
			
				//$id = ultimo_reg('cliente');
				$id = ultimo_reg($TABELA);
				
				javascript("
				
					fecha_combo_net();
					
					seleciona_combo_net($id,'$_GET[nome]')
				
				");
				$_GET[nome]='';
				unset($valores);
			}
		}		
	}


	cabecalho2('',2);

	$c1 = cactux::campo('Nome:','nome',$_GET[nome],10);
	$c4 = cactux::botao_submit("Buscar",2,'index','c,t',"$_GET[c],$_GET[t]");
	$c5 = cactux::botao("Fechar ",2,'cancelar'," onclick=fecha_combo_net();");
	$c6 = cactux::botao("Gravar",2,'cancelar'," onclick=insere_op();");
	

//	print_r($_GET);
	
	$status = cactux::msg_status();
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($c4,$c6,$status,$c5);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	javascript("

	
	function insere_op() {
		document.cadastro.acao.value='cadastra_op';
		document.cadastro.submit();
	}
	
			
	");
	
	
	$sql = selecionar($TABELA,$TAB."_tx_status,".$TAB."_tx_nome",
			"!inativo,@$_GET[nome]"," $extra AND enti_tx_tipo ='Cliente'  ".grid::order_by($TAB.'_tx_nome'),1);
	$BUSCA = grid::gerar_paginacao($sql,'acao,codigo,nome,c,t',"index,$_GET[codigo],$_GET[nome],$_GET[c],$_GET[t]");

	// inicio do grid
	
	$cabeca[] = array(grid::ordenar('CÓD',$TAB.'_nb_id'),grid::ordenar('NOME',$TAB.'_tx_nome'));
	$cabeca[] = 'c,e,e,e,c';
	$cabeca[] = '8%,,3%,3%';
	//$cabeca[]='95%';
	
	while( $array = carrega_array($BUSCA[0]) ) {
		
		$valores[]=array($array[0],".seleciona_combo_net($array[0],'$array[1]')");
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>